Index: palm/trunk/SOURCE/module_interface.f90
===================================================================
--- palm/trunk/SOURCE/module_interface.f90	(revision 4008)
+++ palm/trunk/SOURCE/module_interface.f90	(revision 4017)
@@ -242,5 +242,16 @@
                im_data_output_3d,                                              &
                im_init
-
+               
+    USE lagrangian_particle_model_mod,                                         &
+        ONLY:  lpm_parin,                                                      &
+               lpm_header,                                                     &
+               lpm_check_parameters,                                           &
+               lpm_init,                                                       &
+               lpm_actions,                                                    &
+               lpm_rrd_global,                                                 &
+               lpm_rrd_local,                                                  &
+               lpm_wrd_local,                                                  &
+               lpm_wrd_global
+               
     USE land_surface_model_mod,                                                &
         ONLY:  lsm_parin,                                                      &
@@ -290,4 +301,7 @@
                ocean_rrd_local,                                                &
                ocean_wrd_local
+               
+    USE particle_attributes,                                                   &
+        ONLY:  particle_advection               
 
     USE plant_canopy_model_mod,                                                &
@@ -558,4 +572,5 @@
     CALL gust_parin
     CALL im_parin
+    CALL lpm_parin      
     CALL lsm_parin
     ! ToDo: create parin routine for large_scale_forcing and nudging (should be seperate modules or new module switch)
@@ -574,6 +589,4 @@
     CALL wtm_parin
 
-    CALL package_parin ! ToDo: deprecated, needs to be dissolved
-
     IF ( debug_output )  CALL debug_message( 'reading module-specific parameters', 'end' )
 
@@ -596,4 +609,5 @@
     IF ( gust_module_enabled )  CALL gust_check_parameters
     IF ( indoor_model )         CALL im_check_parameters
+    IF ( particle_advection )   CALL lpm_check_parameters        
     IF ( land_surface )         CALL lsm_check_parameters
     IF ( large_scale_forcing  .OR.  nudging )  CALL lsf_nudging_check_parameters ! ToDo: create single module switch
@@ -896,4 +910,5 @@
     IF ( gust_module_enabled )  CALL gust_init
     IF ( indoor_model        )  CALL im_init
+    IF ( particle_advection  )  CALL lpm_init    
     IF ( large_scale_forcing )  CALL lsf_init
     IF ( land_surface        )  CALL lsm_init
@@ -950,4 +965,5 @@
     IF ( virtual_flight      )  CALL flight_header( io )
     IF ( gust_module_enabled )  CALL gust_header( io )
+    IF ( particle_advection  )  CALL lpm_header( io )    
     IF ( land_surface        )  CALL lsm_header( io )
     IF ( large_scale_forcing )  CALL lsf_nudging_header( io )
@@ -981,4 +997,5 @@
     IF ( air_chemistry       )  CALL chem_actions( location )
     IF ( gust_module_enabled )  CALL gust_actions( location )
+    IF ( particle_advection  )  CALL lpm_actions( location )    
     IF ( ocean_mode          )  CALL ocean_actions( location )
     IF ( salsa               )  CALL salsa_actions( location )
@@ -1377,4 +1394,5 @@
     IF ( .NOT. found )  CALL flight_rrd_global( found ) ! ToDo: change interface to pass variable
     IF ( .NOT. found )  CALL gust_rrd_global( found ) ! ToDo: change interface to pass variable
+    IF ( .NOT. found )  CALL lpm_rrd_global( found ) ! ToDo: change interface to pass variable        
     IF ( .NOT. found )  CALL ocean_rrd_global( found ) ! ToDo: change interface to pass variable
     IF ( .NOT. found )  CALL stg_rrd_global ( found ) ! ToDo: change interface to pass variable
@@ -1480,4 +1498,13 @@
                             ) ! ToDo: change interface to pass variable
 
+    IF ( .NOT. found ) CALL lpm_rrd_local(                                     &
+                               map_index,                                      &
+                               nxlf, nxlc, nxl_on_file,                        &
+                               nxrf, nxrc, nxr_on_file,                        &
+                               nynf, nync, nyn_on_file,                        &
+                               nysf, nysc, nys_on_file,                        &
+                               tmp_3d, found                                   &
+                            ) ! ToDo: change interface to pass variable
+
     IF ( .NOT. found ) CALL lsm_rrd_local(                                     &
                                map_index,                                      &
@@ -1557,4 +1584,5 @@
     IF ( air_chemistry )        CALL chem_wrd_local
     IF ( gust_module_enabled )  CALL gust_wrd_local
+    IF ( particle_advection )   CALL lpm_wrd_local    
     IF ( land_surface )         CALL lsm_wrd_local
     IF ( ocean_mode )           CALL ocean_wrd_local
